package com.fs.company.service.impl;

import java.util.List;

import com.fs.company.param.CompanyUserCardQueryParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.company.mapper.CompanyUserCardMapper;
import com.fs.company.domain.CompanyUserCard;
import com.fs.company.service.ICompanyUserCardService;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author fs
 * @date 2023-04-25
 */
@Service
public class CompanyUserCardServiceImpl implements ICompanyUserCardService
{
    @Autowired
    private CompanyUserCardMapper companyUserCardMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public CompanyUserCard selectCompanyUserCardById(Long id)
    {
        return companyUserCardMapper.selectCompanyUserCardById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param companyUserCard 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<CompanyUserCard> selectCompanyUserCardList(CompanyUserCard companyUserCard)
    {
        return companyUserCardMapper.selectCompanyUserCardList(companyUserCard);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param companyUserCard 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertCompanyUserCard(CompanyUserCard companyUserCard)
    {
        return companyUserCardMapper.insertCompanyUserCard(companyUserCard);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param companyUserCard 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateCompanyUserCard(CompanyUserCard companyUserCard)
    {
        return companyUserCardMapper.updateCompanyUserCard(companyUserCard);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteCompanyUserCardByIds(Long[] ids)
    {
        return companyUserCardMapper.deleteCompanyUserCardByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteCompanyUserCardById(Long id)
    {
        return companyUserCardMapper.deleteCompanyUserCardById(id);
    }

    @Override
    public List<CompanyUserCard> selectMyCardListQuery(CompanyUserCardQueryParam param) {
        return companyUserCardMapper.selectMyCardListQuery(param);
    }

    @Override
    public int updateUserCardShortUrlById(Long cardId, String shortUrl) {
        return companyUserCardMapper.updateUserCardShortUrlById(cardId,shortUrl);
    }


}
